#!/bin/sh
##########################################################################
# Licensed Materials - Property of IBM
# 5724-T40 IBM License Metric Tool
# 5724-S94 IBM Tivoli Asset Discovery for Distributed
# (C) Copyright IBM Corp. 2002, 2009.
# All Rights Reserved. US Government Users Restricted Rights - Use,
# duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# For more detailed help, refer to product manual.
##########################################################################

# Installation directory of IBM Websphere Application Server.
WAS_HOME=<TLM_WAS_PATH>
export WAS_HOME

ADMIN_WAR_NAME=<ADMIN_WAR_NAME>
export ADMIN_WAR_NAME
# Set CLI Home directory to script directory, absolute or relative
CLI_HOME=`dirname $0`
export CLI_HOME
LMT_WAR_PATH=$WAS_HOME/systemApps/isclite.ear/$ADMIN_WAR_NAME
export LMT_WAR_PATH
LMT_RES_PATH=$LMT_WAR_PATH/WEB-INF/lib
export LMT_RES_PATH
CONF_PATH=$LMT_WAR_PATH/WEB-INF/conf
export CONF_PATH
WAS_RES_PATH=$WAS_HOME/lib
export WAS_RES_PATH
CLI_LOCAL_LIB=$CLI_HOME/lib
export CLI_LOCAL_LIB

####### PROPERTIES DEFINITONS #######
CLI_PROPERTIES_DEFS="-Ditlm.confPath=$CONF_PATH"
CLI_PROPERTIES_DEFS="$CLI_PROPERTIES_DEFS -Dcli.confPath=$CLI_HOME/conf"
CLI_PROPERTIES_DEFS="$CLI_PROPERTIES_DEFS -Dewas.root=$WAS_HOME"
CLI_PROPERTIES_DEFS="$CLI_PROPERTIES_DEFS -DWRAPPER=viewer"
CLI_PROPERTIES_DEFS="$CLI_PROPERTIES_DEFS -DVIEWER_HOME=$CLI_HOME/logviewer//"
export CLI_PROPERTIES_DEFS

TSHELL_PROPERTIES_DEFS=-Dtshell.extensions.classes=com.ibm.license.mgmt.cli.tshellextension.ITLCMAdminServer
export TSHELL_PROPERTIES_DEFS

####### CLASS PATH DEFINITONS #######
CLI_CLASS_PATH=$CLI_LOCAL_LIB/com.ibm.license.mgmt.cli.jar
CLI_CLASS_PATH=$CLI_CLASS_PATH:$LMT_RES_PATH/tivolicommondir.jar
CLI_CLASS_PATH=$CLI_CLASS_PATH:$LMT_RES_PATH/jlog.jar
CLI_CLASS_PATH=$CLI_CLASS_PATH:$LMT_RES_PATH/jffdc.jar
CLI_CLASS_PATH=$CLI_CLASS_PATH:$CLI_LOCAL_LIB/com.ibm.ws.webservices.thinclient_6.1.0.jar
CLI_CLASS_PATH=$CLI_CLASS_PATH:$LMT_RES_PATH/com.ibm.license.mgmt.msgandtrace.jar
CLI_CLASS_PATH=$CLI_CLASS_PATH:$LMT_RES_PATH/com.ibm.icu_4.0.1.v20090822.jar
CLI_CLASS_PATH=$CLI_CLASS_PATH:$LMT_RES_PATH/com.ibm.license.mgmt.util.jar
CLI_CLASS_PATH=$CLI_CLASS_PATH:$LMT_RES_PATH/com.ibm.license.mgmt.encryption.jar
CLI_CLASS_PATH=$CLI_CLASS_PATH:$LMT_RES_PATH/com.ibm.license.mgmt.srvfrontend.jar
CLI_CLASS_PATH=$CLI_CLASS_PATH:$LMT_RES_PATH/com.ibm.license.mgmt.ws.serialization.jar
CLI_CLASS_PATH=$CLI_CLASS_PATH:$LMT_RES_PATH/regex4j.jar
CLI_CLASS_PATH=$CLI_CLASS_PATH:$LMT_RES_PATH/viewer.jar
CLI_CLASS_PATH=$CLI_CLASS_PATH:$LMT_RES_PATH/jlog.jar

CLI_CLASS_PATH=$CLI_CLASS_PATH:$LMT_RES_PATH/resources.jar
CLI_CLASS_PATH=$CLI_CLASS_PATH:$LMT_RES_PATH/resources_cs.jar
CLI_CLASS_PATH=$CLI_CLASS_PATH:$LMT_RES_PATH/resources_de.jar
CLI_CLASS_PATH=$CLI_CLASS_PATH:$LMT_RES_PATH/resources_es.jar
CLI_CLASS_PATH=$CLI_CLASS_PATH:$LMT_RES_PATH/resources_fr.jar
CLI_CLASS_PATH=$CLI_CLASS_PATH:$LMT_RES_PATH/resources_hu.jar
CLI_CLASS_PATH=$CLI_CLASS_PATH:$LMT_RES_PATH/resources_it.jar
CLI_CLASS_PATH=$CLI_CLASS_PATH:$LMT_RES_PATH/resources_ja.jar
CLI_CLASS_PATH=$CLI_CLASS_PATH:$LMT_RES_PATH/resources_ko.jar
CLI_CLASS_PATH=$CLI_CLASS_PATH:$LMT_RES_PATH/resources_pl.jar
CLI_CLASS_PATH=$CLI_CLASS_PATH:$LMT_RES_PATH/resources_pt_BR.jar
CLI_CLASS_PATH=$CLI_CLASS_PATH:$LMT_RES_PATH/resources_ru.jar
CLI_CLASS_PATH=$CLI_CLASS_PATH:$LMT_RES_PATH/resources_zh_CN.jar
CLI_CLASS_PATH=$CLI_CLASS_PATH:$LMT_RES_PATH/resources_zh_TW.jar
export CLI_CLASS_PATH

PATH=$WAS_HOME/java/jre/bin:$PATH
export PATH

java -Xmx1024m -Xbootclasspath/a:"$WAS_RES_PATH/aspectjrt.jar" $TSHELL_PROPERTIES_DEFS $CLI_PROPERTIES_DEFS -classpath "$CLI_CLASS_PATH" com.ibm.license.mgmt.cli.tshell.TShellLauncher "$@"

