-- ****************************************************************************
-- * Licensed Materials - Property of IBM
-- * 5724-T40 IBM License Metric Tool
-- * 5724-S94 IBM Tivoli Asset Discovery for Distributed
-- *
-- * (C) Copyright IBM Corp. 2012.  All Rights Reserved.
-- *
-- * US Government Users Restricted Rights - Use, duplication or
-- * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
-- ****************************************************************************

connect to tlma%

CREATE TABLE ADM.EVENT
(
    ID                  BIGINT            NOT NULL GENERATED BY DEFAULT AS IDENTITY,
	ETIME               TIMESTAMP         NOT NULL DEFAULT CURRENT TIMESTAMP,
	CATEGORY            SMALLINT          NOT NULL, -- 0-info,2-warning,3-error
    SOURCE              SMALLINT          NOT NULL, -- 0-admin,1-msgHandler,2-vmmanager    
	SOURCE_ID           BIGINT,                     -- reference to vagent_id, vm_id etc 
	MSG_ID              SMALLINT          NOT NULL, -- known message
    SUMMARY             VARCHAR(1024)     NOT NULL, -- english description
	STACK_TRACE         VARCHAR(2048)               -- in case of caught exception
)%

ALTER TABLE ADM.EVENT ADD CONSTRAINT EVENT_PK PRIMARY KEY
(
    ID
)%

CREATE INDEX ADM.EVENT_I1 ON ADM.EVENT
(
    ETIME
)%

INSERT INTO ADM.CONTROL (name, value) VALUES ('KEEP_EVENTS_DAYS', '30')%

disconnect current%