-- ****************************************************************************
-- * Licensed Materials - Property of IBM
-- * 5724-T40 IBM License Metric Tool
-- * 5724-S94 IBM Tivoli Asset Discovery for Distributed
-- *
-- * (C) Copyright IBM Corp. 2012.  All Rights Reserved.
-- *
-- * US Government Users Restricted Rights - Use, duplication or
-- * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
-- ****************************************************************************

connect to tlma%

create procedure ADM.DROP_INDEX_IF_EXISTS(in INDEX_NAME char(100))
	begin
	declare STMT char(250);
	declare MSG char(20);
	
	declare continue handler for sqlstate '42704' set MSG = 'ok';
	
	set STMT = 'DROP INDEX ' concat INDEX_NAME;
	prepare S1 from STMT;
	execute S1;
	end%

call ADM.DROP_INDEX_IF_EXISTS('ADM.PROD_INV_CID')%

CREATE INDEX ADM.PROD_INV_CID ON ADM.PROD_INV
(
	"COMPONENT_ID" ASC
) 
ALLOW REVERSE SCANS%

runstats on table ADM.PROD_INV and indexes all%

drop procedure ADM.DROP_INDEX_IF_EXISTS%

disconnect tlma%